<?php

namespace Predial\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

use Predial\Predio;
use Predial\Resolucion;
use Predial\TipoModificacion;

class ResolucionPredioController extends Controller{

    public $path = "resolucionPredio.";

    /**
     * index
     * @param int $id_unico Id del predio
     * @return view $this->path."index" formulario de listado para registro de resoluciones
     */
    public function index($id_unico){
        if(!empty(session()->get('usuario'))){
            $id     = decrypt($id_unico);
            $predio = Predio::find($id);
            $tipoI  = DB::table('gf_tipo_identificacion')->get();
            $res    = DB::table('gr_resolucion')->get();
            $data   = DB::table('gr_concepto_resolucion as cr')
                            ->select(
                                'cr.valoractual as valor',
                                'mut.nombre as mutacion',
                                DB::raw('DATE_FORMAT(res.fecha, "%d/%m/%Y") as fecha'),
                                'rsn.nombre as resolucion',
                                'rsn.numero as rsnnum'
                            )
                            ->leftJoin('gr_resolucion_predio as res', 'cr.resolucionconcepto', '=', 'res.id_unico')
                            ->leftJoin('gr_tipo_modificacion as mut', 'cr.tipomodificacion', '=', 'mut.id_unico')
                            ->leftJoin('gr_resolucion as rsn', 'res.resolucion', '=', 'rsn.id_unico')
                            ->where('res.predio', '=', $id)
                            ->groupBy('rsn.id_unico')
                            ->get();

            $tipos  = TipoModificacion::all();
            return view($this->path.'index', compact('predio', 'res', 'tipos', 'tipoI', 'data'));
        }else{
            return redirect("CerrarSesion");
        }
    }

    public function store(Request $request){

    }
}
